<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrExternalGuaranteeMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrExternalGuarantee">
            <result property="moreid" column="MOREID" jdbcType="VARCHAR"/>
            <result property="ancheid" column="ANCHEID" jdbcType="VARCHAR"/>
            <result property="more" column="MORE" jdbcType="VARCHAR"/>
            <result property="mortgagor" column="MORTGAGOR" jdbcType="VARCHAR"/>
            <result property="priclaseckind" column="PRICLASECKIND" jdbcType="VARCHAR"/>
            <result property="priclasecam" column="PRICLASECAM" jdbcType="DECIMAL"/>
            <result property="pefperform" column="PEFPERFORM" jdbcType="DATE"/>
            <result property="pefperto" column="PEFPERTO" jdbcType="DATE"/>
            <result property="guaranperiod" column="GUARANPERIOD" jdbcType="VARCHAR"/>
            <result property="moredis" column="MOREDIS" jdbcType="VARCHAR"/>
            <result property="gatype" column="GATYPE" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        MOREID,ANCHEID,MORE,
        MORTGAGOR,PRICLASECKIND,PRICLASECAM,
        PEFPERFORM,PEFPERTO,GUARANPERIOD,
        MOREDIS,GATYPE,S_EXT_DATATIME
    </sql>
</mapper>
